#!/bin/sh

set -e

function publish() {
	NOW="`date '+%Y%m%d-%H%M%S'`"

	mkdir old 2>/dev/null || true
	
	mkdir "catch_sigill-${NOW}"
	cp build.sh intercept.h sigill.c "catch_sigill-${NOW}"
	tar czf "catch_sigill-${NOW}.tar.gz" "catch_sigill-${NOW}"

	rm -rf "catch_sigill-${NOW}"
	mv "catch_sigill-${NOW}.tar.gz" old

	scp "old/catch_sigill-${NOW}.tar.gz" jbglaw@lug-owl.de:public_html/software/catch_sigill/
}
	
gcc -Wall -O0 -fPIC -DDEBUG -c sigill.c
ld -Bshareable -o libsigill.so sigill.o -ldl
if [ "`hostname`" = baerchen ]; then
	publish
	scp libsigill.so root@amtus:sigill_catcher/
fi
rm sigill.o

